Skip to main content
PATCH
/
v1
/
contacts
Patch an existing contact
curl --request PATCH \
  --url https://brew.new/api/v1/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jane@example.com",
  "fields": {
    "firstName": "Janet",
    "customFields.plan": null
  }
}
'
{
  "contact": {
    "email": "jane@example.com",
    "firstName": "Janet",
    "lastName": "Doe",
    "subscribed": true,
    "verificationStatus": "valid",
    "suppressed": false,
    "suppressedReason": null,
    "createdAt": 1712592000000,
    "updatedAt": 1712592300000,
    "importId": null,
    "customFields": {
      "plan": null,
      "revenue": 4200
    }
  },
  "updated": [
    "firstName",
    "customFields.plan"
  ]
}

Authorizations

Authorization
string
header
default:brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Body

application/json

Email of the contact to update plus a map of fields to patch.

email
string<email>
required
fields
object
required

Response

The contact was updated.

contact
object
required
updated
string[]
required
Minimum array length: 1
Minimum string length: 1